From: Fredrik Kuivinen <freku045@student.liu.se>
To: junkio@cox.net
Cc: git@vger.kernel.org
Subject: [PATCH 2/4] test-lib.sh: Add new function, test_expect_code
Date: Sat, 3 Dec 2005 11:40:39 +0100 [thread overview]
Message-ID: <20051203104039.GC4896@c165.ib.student.liu.se> (raw)
In-Reply-To: <20051203103255.GA4896@c165.ib.student.liu.se>
The test is considered OK if it exits with code $1
Signed-off-by: Fredrik Kuivinen <freku045@student.liu.se>
---
t/test-lib.sh | 13 +++++++++++++
1 files changed, 13 insertions(+), 0 deletions(-)
12ea56dda039b8b2fed61459a7a2df5ebf3dfde2
diff --git a/t/test-lib.sh b/t/test-lib.sh
index e654155..f2eccd7 100755
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -133,6 +133,19 @@ test_expect_success () {
fi
}
+test_expect_code () {
+ test "$#" = 3 ||
+ error "bug in the test script: not 3 parameters to test-expect-code"
+ say >&3 "expecting exit code $1: $3"
+ test_run_ "$3"
+ if [ "$?" = 0 -a "$eval_ret" = "$1" ]
+ then
+ test_ok_ "$2"
+ else
+ test_failure_ "$@"
+ fi
+}
+
test_done () {
trap - exit
case "$test_failure" in
--
0.99.9.GIT
next prev parent reply other threads:[~2005-12-03 10:40 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2005-12-03 10:32 [PATCH 0/4] Merge test cases Fredrik Kuivinen
2005-12-03 10:40 ` [PATCH 1/4] git-merge: Exit with code 2 if no strategy was able to handle the merge Fredrik Kuivinen
2005-12-03 10:40 ` Fredrik Kuivinen [this message]
2005-12-03 10:41 ` [PATCH 3/4] New test case: merge with directory/file conflicts Fredrik Kuivinen
2005-12-03 10:41 ` [PATCH 4/4] New test case: Criss-cross merge Fredrik Kuivinen
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20051203104039.GC4896@c165.ib.student.liu.se \
--to=freku045@student.liu.se \
--cc=git@vger.kernel.org \
--cc=junkio@cox.net \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox